### Hierarchy

- default
  - default

## Index

### Constructors

- constructor

### Properties

- bootstrapStyle
- bootstrapVarStyle
- commonStyle
- fontawesomeStyle
- resetStyle
- styles

### Methods

- connectedCallback
- disconnectedCallback
- initConfig
- mozRequestFullScreen
- mozRequestFullScreenWithKeys
- msRequestFullscreen
- onMouseDown
- onMouseMove
- render
- resizeDataPanel
- resizeToolPanel
- toggleBackgroundSelector
- toggleShowDatapanel_
- toggleShowInfobar_
- updated
- webkitRequestFullscreen

## Constructors

### constructor

- new default(): default

- Inherited from default.constructor

  - Defined in node_modules/@lit/reactive-element/reactive-element.d.ts:447

  #### Returns default

## Properties

### Static bootstrapStyle

bootstrapStyle: CSSResult = ...

Inherited from default.bootstrapStyle

- Defined in srcapi/elements/BaseElement.ts:73

### Static bootstrapVarStyle

bootstrapVarStyle: CSSResult = ...

Inherited from default.bootstrapVarStyle

- Defined in srcapi/elements/BaseElement.ts:82

### Static commonStyle

commonStyle: CSSResult = ...

Inherited from default.commonStyle

- Defined in srcapi/elements/BaseElement.ts:112

### Static fontawesomeStyle

fontawesomeStyle: CSSResult = ...

Inherited from default.fontawesomeStyle

- Defined in srcapi/elements/BaseElement.ts:76

### Static resetStyle

resetStyle: CSSResult = ...

Inherited from default.resetStyle

- Defined in srcapi/elements/BaseElement.ts:70

### Static styles

styles: CSSResult[] = ...

Overrides default.styles

- Defined in src/canvas/DesktopElement.ts:85

## Methods

### connectedCallback

- connectedCallback(): void

- Overrides default.connectedCallback

  - Defined in src/canvas/DesktopElement.ts:369

  #### Returns void

### disconnectedCallback

- disconnectedCallback(): void

- Overrides default.disconnectedCallback

  - Defined in src/canvas/DesktopElement.ts:419

  #### Returns void

### initConfig

- initConfig(configuration: Configuration): void

- Overrides BaseElement.initConfig

  - Defined in src/canvas/DesktopElement.ts:426

  #### Parameters

  - ##### configuration: Configuration

  #### Returns void

### mozRequestFullScreen

- mozRequestFullScreen(): Promise<void>

- Inherited from default.mozRequestFullScreen

  - Defined in types/dom.d.ts:25

  #### Returns Promise<void>

### mozRequestFullScreenWithKeys

- mozRequestFullScreenWithKeys(): Promise<void>

- Inherited from default.mozRequestFullScreenWithKeys

  - Defined in types/dom.d.ts:26

  #### Returns Promise<void>

### msRequestFullscreen

- msRequestFullscreen(): Promise<void>

- Inherited from default.msRequestFullscreen

  - Defined in types/dom.d.ts:27

  #### Returns Promise<void>

### onMouseDown

- onMouseDown(panelResizeEvent: PanelResize, separator: HTMLElement, leftElement: HTMLElement, rightElement: HTMLElement): (event: MouseEvent) => void

- - Defined in src/canvas/DesktopElement.ts:480

  Panel resizing: Store initial mouse position, listen to drag event and resize elements

  #### Parameters

  - ##### panelResizeEvent: PanelResize

    Interface to store the details of the drag event

  - ##### separator: HTMLElement

    Element separating the elements to resize

  - ##### leftElement: HTMLElement

    Left element to resize

  - ##### rightElement: HTMLElement

    Right element to resize

  #### Returns (event: MouseEvent) => void

  - - (event: MouseEvent): void

    - #### Parameters

      - ##### event: MouseEvent

      #### Returns void

### onMouseMove

- onMouseMove(panelResizeEvent: PanelResize): (event: MouseEvent) => MouseEvent

- - Defined in src/canvas/DesktopElement.ts:514

  Panel resizing: Compute drag offset, change element position or width accordingly

  #### Parameters

  - ##### panelResizeEvent: PanelResize

    Interface to store the details of the mouse down event

  #### Returns (event: MouseEvent) => MouseEvent

  The drag event

  - - (event: MouseEvent): MouseEvent

    - #### Parameters

      - ##### event: MouseEvent

      #### Returns MouseEvent

### render

- render(): TemplateResult<ResultType>

- Overrides BaseElement.render

  - Defined in src/canvas/DesktopElement.ts:601

  #### Returns TemplateResult<ResultType>

### resizeDataPanel

- resizeDataPanel(event: MouseEvent, desktopCanvas: ShadowRoot): MouseEvent

- - Defined in src/canvas/DesktopElement.ts:572

  Resize the data (left) panel when dragging the separator

  #### Parameters

  - ##### event: MouseEvent

    The mouse down event

  - ##### desktopCanvas: ShadowRoot

    The desktop canvas

  #### Returns MouseEvent

  The mouse down event

### resizeToolPanel

- resizeToolPanel(event: MouseEvent, desktopCanvas: ShadowRoot): MouseEvent

- - Defined in src/canvas/DesktopElement.ts:590

  Resize the tool (right) panel when dragging the separator

  #### Parameters

  - ##### event: MouseEvent

    The mouse down event

  - ##### desktopCanvas: ShadowRoot

    The desktop canvas

  #### Returns MouseEvent

  The mouse down event

### toggleBackgroundSelector

- toggleBackgroundSelector(): void

- - Defined in src/canvas/DesktopElement.ts:441

  #### Returns void

### toggleShowDatapanel_

- toggleShowDatapanel_(): void

- - Defined in src/canvas/DesktopElement.ts:449

  #### Returns void

### toggleShowInfobar_

- toggleShowInfobar_(): void

- - Defined in src/canvas/DesktopElement.ts:436

  #### Returns void

### updated

- updated(): void

- Overrides BaseElement.updated

  - Defined in src/canvas/DesktopElement.ts:718

  #### Returns void

### webkitRequestFullscreen

- webkitRequestFullscreen(allowKeyboardInput?: number): Promise<void>

- Inherited from default.webkitRequestFullscreen

  - Defined in types/dom.d.ts:28

  #### Parameters

  - ##### Optional allowKeyboardInput: number

  #### Returns Promise<void>

Generated using TypeDoc